import json


def test_configuration_file_required(cli_invoke):
    "Command fails if no configuration file is present."
    result = cli_invoke("cli-credentials")
    assert result.exit_code != 0
    assert "Failed to locate a configuration file" in result.stderr


def test_basic_usage(cli_invoke, fake_cli_config, mock_google_user_info_endpoint):
    result = cli_invoke("cli-credentials")
    assert result.exit_code == 0
    creds = json.loads(result.stdout)
    assert creds["Version"] == 1
    assert "AccessKeyId" in creds
    assert "SecretAccessKey" in creds
    assert "Expiration" in creds
